﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.SFX
{
    public class SFXManager : MonoBehaviour
    {
        private static SFXManager _instance;
        public static SFXManager instance
        {
            get
            {
                if(_instance == null) _instance = FindObjectOfType<SFXManager>();
                return _instance;
            }
        }
        
        [SerializeField] private AudioSource defaultAudioSource;

        public List<SFXClip> clips;
    }
}