﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.SFX
{
    public class SFXPlayer : MonoBehaviour
    {
        public SFXClip sfxClip;
        public bool playOnStart = true;

        void Start()
        {
            if(playOnStart) Play();   
        }

        public void Play()
        {
            SoundController.EmmitSound(sfxClip, this.transform.position); 
        }
    }
}