using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.SFX
{
    [CreateAssetMenu(menuName = "KairoEngine/SFX/Library", fileName = "SFX Library", order = 3), HideMonoScript]
    public class SFXLibrary : SerializedScriptableObject
    {
        public Dictionary<string, SFXClip> clips = new Dictionary<string, SFXClip>();
    }
}
